From 9b520c111c66055846da5740f9503b0c1a85fcc6 Mon Sep 17 00:00:00 2001
From: Peter Griffin <peter.griffin@linaro.org>
Date: Fri, 18 Feb 2022 14:40:20 +0000
Subject: [PATCH 2/9] rk3399-rock-pi-4b-u-boot: add optee node

Upstream-Status: Submitted (u-boot@lists.denx.de)
Signed-off-by: Peter Griffin <peter.griffin@linaro.org>
Signed-off-by: Maxim Uvarov <maxim.uvarov@linaro.org>
---
 arch/arm/dts/rk3399-rock-pi-4b-u-boot.dtsi | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/arch/arm/dts/rk3399-rock-pi-4b-u-boot.dtsi b/arch/arm/dts/rk3399-rock-pi-4b-u-boot.dtsi
index 85ee5770ad..5640f5afbf 100644
--- a/arch/arm/dts/rk3399-rock-pi-4b-u-boot.dtsi
+++ b/arch/arm/dts/rk3399-rock-pi-4b-u-boot.dtsi
@@ -4,3 +4,13 @@
  */
 
 #include "rk3399-rock-pi-4-u-boot.dtsi"
+
+/ {
+        firmware {
+                optee {
+                        compatible = "linaro,optee-tz";
+                        method = "smc";
+                };
+        };
+
+};
-- 
2.30.2

